### A free/open-source library for quantitative finance

Protected Member Functions
CuriouslyRecurringTemplate< Impl > Class Template Reference
Design patterns

Support for the curiously recurring template pattern. More...

`#include <ql/patterns/curiouslyrecurring.hpp>`

Inheritance diagram for CuriouslyRecurringTemplate< Impl >:
[legend]

List of all members.

## Protected Member Functions

Impl & | impl ()
const Impl & | impl () const

## Detailed Description

### template<class Impl>
class QuantLib::CuriouslyRecurringTemplate< Impl >

Support for the curiously recurring template pattern.

See James O. Coplien. A Curiously Recurring Template Pattern. In Stanley B. Lippman, editor, C++ Gems, 135-144. Cambridge University Press, New York, New York, 1996.